Bug 1656961 - [RFE] Settings: enforce a minimum of 1 migration per conversion host
Summary: [RFE] Settings: enforce a minimum of 1 migration per conversion host
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: V2V
Version: 5.10.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: GA
: 5.10.0
Assignee: Brett Thurber
QA Contact: Shveta
Red Hat CloudForms Documentation
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-12-06 18:18 UTC by Mike Turley
Modified: 2019-02-07 23:04 UTC (History)
2 users (show)

Fixed In Version: 5.10.0.29
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-02-07 23:04:06 UTC
Category: ---
Cloudforms Team: ---
Target Upstream Version:


Attachments (Terms of Use)
Not able to set migration per host to zero (59.33 KB, image/png)
2018-12-17 22:22 UTC, Shveta
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:0212 None None None 2019-02-07 23:04:13 UTC

Description Mike Turley 2018-12-06 18:18:28 UTC
Description of problem: Settings page allows the user to set a value of "0" for Maximum concurrent migrations per conversion host. This should not be allowed.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 3 Mike Turley 2018-12-06 18:19:36 UTC
GitHub PR: https://github.com/ManageIQ/manageiq-v2v/pull/818

Comment 5 Mike Turley 2018-12-07 16:25:57 UTC
Replacement PR: https://github.com/ManageIQ/manageiq-v2v/pull/825

The original PR above needed a rebase, and broke CI on master... we reverted it and replaced it with this one.

Comment 6 CFME Bot 2018-12-07 16:28:57 UTC
New commit detected on ManageIQ/manageiq-v2v/master:

https://github.com/ManageIQ/manageiq-v2v/commit/eee6dcd70c349e55fa0d79136f080fed909c8827
commit eee6dcd70c349e55fa0d79136f080fed909c8827
Author:     Mike Turley <mturley@redhat.com>
AuthorDate: Thu Dec  6 13:15:06 2018 -0500
Commit:     Mike Turley <mturley@redhat.com>
CommitDate: Thu Dec  6 13:15:06 2018 -0500

    Settings: enforce a minimum of 1 migration per conversion host

    https://bugzilla.redhat.com/show_bug.cgi?id=1656961

 app/javascript/react/screens/App/Settings/Settings.js | 1 +
 app/javascript/react/screens/App/Settings/__tests__/__snapshots__/Settings.test.js.snap | 1 +
 app/javascript/react/screens/App/common/forms/NumberInput.js | 13 +-
 3 files changed, 12 insertions(+), 3 deletions(-)

Comment 7 CFME Bot 2018-12-11 13:44:00 UTC
New commits detected on ManageIQ/manageiq-v2v/hammer:

https://github.com/ManageIQ/manageiq-v2v/commit/3279653da8e94ddb98c5787f21f02c3322850f45
commit 3279653da8e94ddb98c5787f21f02c3322850f45
Author:     Michael Ro <mikerodev@gmail.com>
AuthorDate: Fri Dec  7 11:24:55 2018 -0500
Commit:     Michael Ro <mikerodev@gmail.com>
CommitDate: Fri Dec  7 11:24:55 2018 -0500

    Merge pull request #825 from mturley/settings-max-concurrent-min-1

    Settings: enforce a minimum of 1 migration per conversion host
    (cherry picked from commit f5b8f003df120ae5927fc9ff3b552194fe7ae1e4)

    https://bugzilla.redhat.com/show_bug.cgi?id=1656961

 app/javascript/react/screens/App/Settings/Settings.js | 1 +
 app/javascript/react/screens/App/Settings/__tests__/__snapshots__/Settings.test.js.snap | 1 +
 app/javascript/react/screens/App/common/forms/NumberInput.js | 13 +-
 3 files changed, 12 insertions(+), 3 deletions(-)

Comment 8 Shveta 2018-12-17 22:22:56 UTC
Created attachment 1515175 [details]
Not able to set migration per host to zero

Comment 9 Shveta 2018-12-17 22:23:25 UTC
Verified in 5.10.0.29.20181211195209_fd990a9

Comment 10 errata-xmlrpc 2019-02-07 23:04:06 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:0212


Note You need to log in before you can comment on or make changes to this bug.